## com.baidubce.services.bmr.model
Class HiveApplicationConfig

    java.lang.Object
      com.baidubce.services.bmr.model.ApplicationConfig
          com.baidubce.services.bmr.model.HiveApplicationConfig

    public class HiveApplicationConfig

extends ApplicationConfig

Represent a Hive application. A Hive application can be configured with properties such as: version, meta-store, host, port, database, username, password

Constructor Summary
`HiveApplicationConfig()`

Method Summary
`HiveApplicationConfig` `withDatabase(String database)` Configure the database name for the Hive metastore.
`HiveApplicationConfig` `withHost(String host)` Configure the host for MySQL service used by Hive metastore.
`HiveApplicationConfig` `withMetastore(String metastore)` Configure the metastore of Hive Server。 By default, the inner metastore is used.
`HiveApplicationConfig` `withPassword(String password)` Configure the password for accessing MySQL database.
`HiveApplicationConfig` `withPort(int port)` Configure the port for MySQL service used by Hive metastore.
`HiveApplicationConfig` `withUserName(String username)` Configure the username for accessing MySQL database.
`HiveApplicationConfig` `withVersion(String version)` Configure the version of Hive.

Methods inherited from class com.baidubce.services.bmr.model.ApplicationConfig
`addProperty, getName, getProperties, getVersion, setName, setProperties, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HiveApplicationConfig

    public HiveApplicationConfig()

Method Detail

### withVersion

    public HiveApplicationConfig withVersion(String version)

  Configure the version of Hive. The reference version is as follows: image type | image version | hive version supported hadoop | 0.1.0 | 0.13.0 hadoop | 0.2.0 | 0.14.0

  Parameters:
    `version` - The version of Hive.
  Returns:
    HiveApplicationConfig

### withMetastore

    public HiveApplicationConfig withMetastore(String metastore)

  Configure the metastore of Hive Server。 By default, the inner metastore is used. And you can also use MySQL by set the metastore to "mysql". If so, you must provide other properties at the same time, including host and port for the MySQL service, the database name, the username and password for accessing MySQL database.

  Parameters:
    `metastore` - The type of metastore. Use "default" or "mysql".
  Returns:
    HiveApplicationConfig

### withHost

    public HiveApplicationConfig withHost(String host)

  Configure the host for MySQL service used by Hive metastore. This configuration is needed only if the metastore is "mysql".

  Parameters:
    `host` - The host on which the MySQL service runs.
  Returns:
    HiveApplicationConfig

### withPort

    public HiveApplicationConfig withPort(int port)

  Configure the port for MySQL service used by Hive metastore. This configuration is needed only if the metastore is "mysql".

  Parameters:
    `port` - The port on which the MySQL service listens.
  Returns:
    HiveApplicationConfig

### withDatabase

    public HiveApplicationConfig withDatabase(String database)

  Configure the database name for the Hive metastore. This configuration is needed only if the metastore is "mysql".

  Parameters:
    `database` - The database's name for Hive metastore.
  Returns:
    HiveApplicationConfig

### withUserName

    public HiveApplicationConfig withUserName(String username)

  Configure the username for accessing MySQL database. This configuration is needed only if the metastore is "mysql".

  Parameters:
    `username` - The username for accessing MySQL database.
  Returns:
    HiveApplicationConfig

### withPassword

    public HiveApplicationConfig withPassword(String password)

  Configure the password for accessing MySQL database. This configuration is needed only if the metastore is "mysql".

  Parameters:
    `password` - The password for accessing MySQL database.
  Returns:
    HiveApplicationConfig

Copyright © 2016. All rights reserved.